## sigviewer 0.5.1%2Bsvn556

=== debian/watch ===
version=3
http://sf.net/biosig/sigviewer-(.*)-src\.tar\.gz

## sigviewer 0.5.1+svn556

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/SigViewer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/SigViewer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/SigViewer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/SigViewer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sigviewer (0.5.1+svn556-5) unstable; urgency=medium

  * debian/patches
    - finally picking up suggested patch to fix FTBFS
      (0001-Make-it-work-in-C-11.patch)
      Thank you Adrian Bunk  (Closes: #812028)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Jan 2017 21:53:15 -0500

sigviewer (0.5.1+svn556-4) unstable; urgency=medium

  * debian/patches
    - reincarnate deb_link_against_cholmod to avoid FTBFS on ubuntus

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Sep 2014 09:30:48 -0400

sigviewer (0.5.1+svn556-3) unstable; urgency=medium

  * debian/patches
    - Replaced up_biosig_1.3.3 with another, more generic,
      patch from Alois (up_biosig_1.6.1)
  * debian/control
    - boosted policy to 3.9.5 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 13 Sep 2014 21:20:18 -0400

sigviewer (0.5.1+svn556-2) UNRELEASED; urgency=low

  * Adding a post-release commit (patch: up_biosig_1.3.3) for
    compatibility with libbiosig 1.3.3
  * debian/copyright: dep5
  * debian/control: boosted policy compliance to 3.9.3 (no changes)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2012 16:16:17 -0400

sigviewer (0.5.1+svn556-1) unstable; urgency=low

  * Initial release (Closes: #585535)
  * Fresh upstream release
  * [dc19268] Updated URL to the supported formats
  * [90053f2] Removed build-dependency on libgdf (temporarily disabled upstream)
  * [982244c] Boosted policy compliance to 3.9.2 (no changes)
  * [1ee3ce0] Updated debian/copyright: years, dep5@174 compliance

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 May 2011 09:17:39 -0400

sigviewer (0.4.3+svn511-1) UNRELEASED; urgency=low

  * Fresh snapshot post upstream release
  * (Build-)Depends on libgdf, libboost-dev now

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 29 Oct 2010 00:22:47 -0400

sigviewer (0.4.2-1~pre0) UNRELEASED; urgency=low

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 30 Aug 2010 13:14:00 -0400

sigviewer (0.3.0+svn362-1~pre1) UNRELEASED; urgency=low

  * Initial packaging

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Jun 2010 01:19:21 -0400

=== debian/control ===
Source: sigviewer
Section: science
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev, libfftw3-dev,
               libboost-dev,
               libbiosig-dev,
               libsuitesparse-dev
Standards-Version: 3.9.5
Homepage: http://sigviewer.sourceforge.net
Vcs-Git: git://git.debian.org/pkg-exppsy/sigviewer.git
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/sigviewer.git;a=summary

Package: sigviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI viewer for biosignals such as EEG, EMG, and ECG
 SigViewer is a viewing and scoring software for biomedical signal
 data.  It relies on biosig4c++ library which supports a number of
 data formats (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB,
 HL7aECG, SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI,
 EEG1100, FAMOS, SigmaPLpro, TMS32). The complete list of supported
 file formats is available at
 http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 Besides displaying biosignals, SigViewer supports creating
 annotations to select artifacts or specific events.

## sigviewer 0.6.2

=== debian/changelog ===
sigviewer (0.6.2-2) unstable; urgency=medium

  * Team upload.
  * Add patches by Alois Schloegl <alois.schloegl@ist.ac.at> to
    re-introduce expert/import of gdf-based event file format

 -- Andreas Tille <tille@debian.org>  Mon, 21 Jan 2019 11:08:46 +0100

sigviewer (0.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #860083
  * Project moved to Github
  * debhelper 9
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Build-Depends: libxdf-dev
  * Versioned Build-Depends: libbiosig-dev (>= 1.9.3)
  * Build-Depends: s/libqt4-dev/qtbase5-dev/
    Closes: #875191
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sun, 20 Jan 2019 21:31:57 +0100

=== debian/control ===
Source: sigviewer
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9~),
               qtbase5-dev,
               qttools5-dev,
               libfftw3-dev,
               libboost-dev,
               libbiosig-dev (>= 1.9.3),
               libxdf-dev,
               libsuitesparse-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/neurodebian-team/sigviewer
Vcs-Git: https://salsa.debian.org/neurodebian-team/sigviewer.git
Homepage: https://github.com/cbrnr/sigviewer

Package: sigviewer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GUI viewer for biosignals such as EEG, EMG, and ECG
 SigViewer is a viewing and scoring software for biomedical signal
 data.  It relies on biosig4c++ library which supports a number of
 data formats (including EDF, BDF, GDF, BrainVision, BCI2000, CFWB,
 HL7aECG, SCP_ECG (EN1064), MFER, ACQ, CNT(Neuroscan), DEMG, EGI,
 EEG1100, FAMOS, SigmaPLpro, TMS32). The complete list of supported
 file formats is available at
 http://pub.ist.ac.at/~schloegl/biosig/TESTED .
 .
 Besides displaying biosignals, SigViewer supports creating
 annotations to select artifacts or specific events.

=== debian/watch ===
version=4

https://github.com/cbrnr/sigviewer/releases/latest .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## sigviewer 0.6.2.1+rb2

=== debian/changelog ===
sigviewer (0.6.2.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- NeuroDebian Team <team@neuro.debian.net>  Mon, 01 Feb 2021 16:11:55 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export QT_SELECT = qt5

%:
	dh  $@

override_dh_auto_configure:
	qmake QMAKE_STRIP=: PREFIX=/usr

## sigviewer 0.6.4

=== debian/changelog ===
sigviewer (0.6.4-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:00:40 +1100

sigviewer (0.6.4-3build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:06:36 +0000

sigviewer (0.6.4-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 26 Nov 2022 07:55:15 +0100

sigviewer (0.6.4-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Versioned Build-Depends: libxdf-dev (0.99.6+dfsg-3~)
    (see bug #977953)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 08:37:19 +0200

sigviewer (0.6.4-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
    Closes: #964688
  * Remove debian/gbp.conf since repository was migrated to default
    layout
  * Remove outdated debian/blends
  * Take over package into Debian Med team maintenance
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to qmake.
    Closes: #922571

 -- Andreas Tille <tille@debian.org>  Fri, 18 Dec 2020 16:37:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: sigviewer
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <michael.hanke@gmail.com>
+           Michael Hanke <michael.hanke@gmail.com>,
+           Alois Schlögl <alois.schloegl@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
                qtbase5-dev,
                qttools5-dev,
                libfftw3-dev,
                libboost-dev,
-               libbiosig-dev (>= 1.9.3),
-               libxdf-dev,
+               libbiosig-dev,
+               libxdf-dev (>= 0.99.6+dfsg-3~),
                libsuitesparse-dev
-Standards-Version: 4.3.0
-Vcs-Browser: https://salsa.debian.org/neurodebian-team/sigviewer
-Vcs-Git: https://salsa.debian.org/neurodebian-team/sigviewer.git
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/sigviewer
+Vcs-Git: https://salsa.debian.org/med-team/sigviewer.git
 Homepage: https://github.com/cbrnr/sigviewer
+Rules-Requires-Root: no
 
 Package: sigviewer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh  $@
 
 override_dh_auto_configure:
-	qmake QMAKE_STRIP=: PREFIX=/usr
+	dh_auto_configure -- QMAKE_STRIP=: PREFIX=/usr
